package cn.com.qmth.examcloud.core.oe.student.api.provider;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.oe.student.api.ExamRecordDataCloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordDataIdsReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.UpdateExamRecordDataBatchNumReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordDataIdsResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.UpdateExamRecordDataBatchNumResp;
import cn.com.qmth.examcloud.core.oe.student.service.ExamRecordDataService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "考试记录接口")
@RestController
@RequestMapping("${$rmp.cloud.oe.student}/examRecordData")
public class ExamRecordDataCloudServiceProvider extends ControllerSupport implements ExamRecordDataCloudService{

	
	/**
     * 
     */
    private static final long serialVersionUID = 6142107111834463854L;
    @Autowired
	private ExamRecordDataService examRecordDataService;
	
	@Override
	@ApiOperation(value = "批量获取考试记录ID")
	@PostMapping("/getExamRecordDataIds")
	public GetExamRecordDataIdsResp getExamRecordDataIds(@RequestBody GetExamRecordDataIdsReq req) {
		GetExamRecordDataIdsResp res = new GetExamRecordDataIdsResp();
		List<Long> ids=examRecordDataService.getExamRecordDataIds(req);
		res.setExamRecordDataIds(ids);
		return res;
	}
	
    @ApiOperation(value = "批量修改考试记录batchNum")
    @PostMapping("/updateBatchNum")
    @Override
    public UpdateExamRecordDataBatchNumResp updateExamRecordDataBatchNum(@RequestBody UpdateExamRecordDataBatchNumReq req) {
        examRecordDataService.updateExamRecordDataBatchNum(req);
        UpdateExamRecordDataBatchNumResp res=new UpdateExamRecordDataBatchNumResp();
        return res;
    }


}
